// ===========================================================================
//  Copyright 1996 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       enum
//  TYPE:       c++ code
//  PROJECT:    lodestar
//  CONTENT:    id and string definitions for Node, Field and Value classes
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rs      Reinhard Sainitzer
//		hb      Herbert Buchegger
// ===========================================================================
//  HISTORY:
//
// ===========================================================================

#include "enum.h"

//----------------------------------------------------------------------------
//   Node-Identifier-Strings
//----------------------------------------------------------------------------

const char *nodeIdString[NID_UNDEFINED+1] =
{
    "AsciiText", "Cone", "Coordinate3", "Cube", "Cylinder",
    "DirectionalLight", "FontStyle", "Group", "IndexedFaceSet",
    "IndexedLineSet", "Info", "LOD", "Material", "MaterialBinding",
    "LevelOfDetail", "MatrixTransform", "Normal", "NormalBinding",
    "OrthographicCamera", "PerspectiveCamera", "PointLight", "PointSet",
    "Rotation", "Scale", "Separator", "ShapeHints", "Sphere",
    "SpotLight", "Switch", "Texture2", "Texture2Transform",
    "TextureCoordinate2", "Transform", "TransformSeparator",
    "Translation", "WWWAnchor", "WWWInline", ""
};

//----------------------------------------------------------------------------
//   Field-Identifier-Strings
//----------------------------------------------------------------------------

const char *fieldIdString[FID_UNDEFINED+1] =
{
    "parts", "bottomRadius", "height", "point", "width", "depth",
    "string", "spacing", "justification", "radius", "on", "intensity",
    "color", "direction", "size", "family", "style", "coordIndex",
    "materialIndex", "normalIndex", "textureCoordIndex", "range",
    "screenArea", "translation", "center", "ambientColor",
    "diffuseColor", "specularColor", "emissiveColor", "shininess",
    "transparency", "value", "matrix", "vector", "position",
    "orientation", "focalDistance", "heightAngle", "location",
    "startIndex", "numPoints", "rotation", "scaleFactor",
    "renderCulling", "vertexOrdering", "shapeType", "faceType",
    "creaseAngle", "dropOffRate", "cutOffAngle", "whichChild",
    "filename", "image", "wrapS", "wrapT", "scaleOrientation", "name",
    "description", "map", "bboxSize", "bboxCenter"
};

//----------------------------------------------------------------------------
