// ===========================================================================
//  Copyright 1996 Technical University of Vienna. All Rights Reserved.
// ===========================================================================
//  NAME:       refarray
//  TYPE:       c++ header
//  PROJECT:    lodestar
//  CONTENT:    class Reference and class ReferenceArray
//  VERSION:    1.0.0
// ===========================================================================
//  AUTHORS:    rs      Reinhard Sainitzer
//		hb      Herbert Buchegger
// ===========================================================================
//  HISTORY:
//
// ===========================================================================
//  MANUAL:
//
// the class ReferenceArray implements an array that can grow at runtime
// according to the users needs. The array contains objects from type
// Reference. The class Reference contains only a pointer. 
// This array class is used by the classes derived from DataSet to get an
// element by an index.
//
// ===========================================================================

#ifndef _REFARRAY_H_
#define _REFARRAY_H_

//----------------------------------------------------------------------------

class Reference
{
public:

    void *ref;

    Reference() {}
    Reference(void *r) { ref=r; }
};

//----------------------------------------------------------------------------

class ReferenceArray
{

public:

    ReferenceArray();
    virtual ~ReferenceArray();
    Reference &operator[](int index);
    void append(Reference ref);
    int getSize();
    void setSize(int sizeNew);

protected:
    Reference *array;
    int size;	
    int allocatedSize;
};

//----------------------------------------------------------------------------

#endif
